<script name="wantReadInfo" setup>
import { ref, onMounted } from 'vue'
import { wantReadDetail } from '@/http/apis/projectStoreManage/projectStore'
import { useRoute } from 'vue-router'
defineProps({
  detailData: Object
})
const route = useRoute()
const data = ref({}),
  getData = async () => {
    const res = await wantReadDetail(route.query.instanceId)
    data.value = res.data
  }
onMounted(() => {
  getData()
})
</script>

<template>
  <el-descriptions :column="2" border>
    <el-descriptions-item label="借阅单位">
      {{ data.applyBorrowEmpPosUnitName||'-' }}
    </el-descriptions-item>
    <el-descriptions-item label="借阅人">
      {{ data.applyBorrowEmployeeName||'-' }}
    </el-descriptions-item>
    <el-descriptions-item label="借阅项目">
      {{ data.projectName||'-' }}
    </el-descriptions-item>
  </el-descriptions>
</template>
